
Summary:          Network Security Services Addbuiltin command
Name:             nss_addbuiltin
Version:          1.0
Release:          1.cern
License:          MPLv1.1 or GPLv2+ or LGPLv2+
URL:              http://www.mozilla.org/projects/security/pki/nss/
Group:            System Environment/Libraries
Requires:         nspr >= %{nspr_version}
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    nspr-devel >= %{nspr_version}
BuildRequires:    pkgconfig
BuildRequires:    gawk
BuildRequires:    zlib-devel

# Source0: copy of nss and nspr from the SLC5 system
Source0:	  %{name}-%{version}.tgz


%description
Addbuiltin command for NSS

%prep
%setup -q

%build

pushd mozilla/security/nss
make nss_build_all
popd

%install

%{__rm} -rf $RPM_BUILD_ROOT


%{__mkdir_p} $RPM_BUILD_ROOT/usr/sbin/

%{__install} -p -m 755 mozilla/security/nss/cmd/addbuiltin/*.OBJ/addbuiltin $RPM_BUILD_ROOT/usr/sbin/addbuiltin

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
/usr/sbin/addbuiltin



%changelog
* Wed May 11 2011 Jaroslaw Polok <jaroslaw.polok@cern.ch> 1.0
- Initial build
